<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_352) on Sun Nov 20 16:10:54 CET 2022 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF8">
<title>Index</title>
<meta name="date" content="2022-11-20">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?index-all.html" target="_top">Frames</a></li>
<li><a href="index-all.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="#I:A">A</a>&nbsp;<a href="#I:C">C</a>&nbsp;<a href="#I:D">D</a>&nbsp;<a href="#I:E">E</a>&nbsp;<a href="#I:I">I</a>&nbsp;<a href="#I:L">L</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:P">P</a>&nbsp;<a href="#I:R">R</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a href="#I:T">T</a>&nbsp;<a href="#I:V">V</a>&nbsp;<a name="I:A">
<!--   -->
</a>
<h2 class="title">A</h2>
<dl>
<dt><span class="memberNameLink"><a href="SimplesTableau.html#afficherTab-int:A-int-">afficherTab(int[], int)</a></span> - Method in class <a href="SimplesTableau.html" title="class in &lt;Unnamed&gt;">SimplesTableau</a></dt>
<dd>
<div class="block">Affiche le contenu des nbElem cases d'un tableau une par une.</div>
</dd>
</dl>
<a name="I:C">
<!--   -->
</a>
<h2 class="title">C</h2>
<dl>
<dt><span class="memberNameLink"><a href="SimplesTableau.html#copier-int:A-int-">copier(int[], int)</a></span> - Method in class <a href="SimplesTableau.html" title="class in &lt;Unnamed&gt;">SimplesTableau</a></dt>
<dd>
<div class="block">Renvoie la copie exacte (clone) du tableau passé en paramètre.</div>
</dd>
</dl>
<a name="I:D">
<!--   -->
</a>
<h2 class="title">D</h2>
<dl>
<dt><span class="memberNameLink"><a href="SimplesTableau.html#decalerGche-int:A-int-int-">decalerGche(int[], int, int)</a></span> - Method in class <a href="SimplesTableau.html" title="class in &lt;Unnamed&gt;">SimplesTableau</a></dt>
<dd>
<div class="block">Décale de une case de la droite vers la gauche toutes les cases d'un tableau à partir d'un indice "ind" et 
 jusque nbElem-1 ([ind]<-[ind+1]<-[ind+2]<-...</div>
</dd>
</dl>
<a name="I:E">
<!--   -->
</a>
<h2 class="title">E</h2>
<dl>
<dt><span class="memberNameLink"><a href="SimplesTableau.html#echange-int:A-int-int-int-">echange(int[], int, int, int)</a></span> - Method in class <a href="SimplesTableau.html" title="class in &lt;Unnamed&gt;">SimplesTableau</a></dt>
<dd>
<div class="block">Echange les contenus des cases du tableau passé en paramètre, cases identifiées par les indices ind1 et ind2.</div>
</dd>
<dt><span class="memberNameLink"><a href="SimplesTableau.html#egalite-int:A-int:A-int-int-">egalite(int[], int[], int, int)</a></span> - Method in class <a href="SimplesTableau.html" title="class in &lt;Unnamed&gt;">SimplesTableau</a></dt>
<dd>
<div class="block">Renvoie vrai si les 2 tableaux passés en paramètre sont exactement les mêmes en nombre d'éléments et en contenu (case par case).</div>
</dd>
</dl>
<a name="I:I">
<!--   -->
</a>
<h2 class="title">I</h2>
<dl>
<dt><span class="memberNameLink"><a href="SimplesTableau.html#inclusion-int:A-int:A-int-int-">inclusion(int[], int[], int, int)</a></span> - Method in class <a href="SimplesTableau.html" title="class in &lt;Unnamed&gt;">SimplesTableau</a></dt>
<dd>
<div class="block">Renvoie vrai ssi le tableau tab1 est inclus dans tab2.</div>
</dd>
<dt><span class="memberNameLink"><a href="SimplesTableau.html#inverse-int:A-int-">inverse(int[], int)</a></span> - Method in class <a href="SimplesTableau.html" title="class in &lt;Unnamed&gt;">SimplesTableau</a></dt>
<dd>
<div class="block">Renvoie un nouveau tableau qui est l'inverse de celui passé en paramètre.</div>
</dd>
</dl>
<a name="I:L">
<!--   -->
</a>
<h2 class="title">L</h2>
<dl>
<dt><span class="memberNameLink"><a href="SimplesTableau.html#leMax-int:A-int-">leMax(int[], int)</a></span> - Method in class <a href="SimplesTableau.html" title="class in &lt;Unnamed&gt;">SimplesTableau</a></dt>
<dd>
<div class="block">Renvoie le maximum parmi les éléments du tableau.</div>
</dd>
</dl>
<a name="I:M">
<!--   -->
</a>
<h2 class="title">M</h2>
<dl>
<dt><span class="memberNameLink"><a href="SimplesTableau.html#melange-int:A-int-">melange(int[], int)</a></span> - Method in class <a href="SimplesTableau.html" title="class in &lt;Unnamed&gt;">SimplesTableau</a></dt>
<dd>
<div class="block">Retourne un nouveau tableau qui a la même taille et les mêmes occurrences d'élements que le tableau passé en paramètre mais ces
 éléments sont répartis selon des indices aléatoires (0 <= indice <= nbElem-1).</div>
</dd>
</dl>
<a name="I:P">
<!--   -->
</a>
<h2 class="title">P</h2>
<dl>
<dt><span class="memberNameLink"><a href="SimplesTableau.html#principal--">principal()</a></span> - Method in class <a href="SimplesTableau.html" title="class in &lt;Unnamed&gt;">SimplesTableau</a></dt>
<dd>
<div class="block">point d’entrée de l’exécution</div>
</dd>
</dl>
<a name="I:R">
<!--   -->
</a>
<h2 class="title">R</h2>
<dl>
<dt><span class="memberNameLink"><a href="SimplesTableau.html#remplirAleatoire-int:A-int-int-int-">remplirAleatoire(int[], int, int, int)</a></span> - Method in class <a href="SimplesTableau.html" title="class in &lt;Unnamed&gt;">SimplesTableau</a></dt>
<dd>
<div class="block">A partir d'un tableau créé, remplir aléatoirement ce tableau de nbElem valeurs comprises entre min et max.</div>
</dd>
<dt><span class="memberNameLink"><a href="SimplesTableau.html#remplirToutesDiff-int:A-int-">remplirToutesDiff(int[], int)</a></span> - Method in class <a href="SimplesTableau.html" title="class in &lt;Unnamed&gt;">SimplesTableau</a></dt>
<dd>
<div class="block">A partir d'un tableau déjà créé, remplir le tableau de nbElem valeurs saisies par l'utilisateur.</div>
</dd>
</dl>
<a name="I:S">
<!--   -->
</a>
<h2 class="title">S</h2>
<dl>
<dt><a href="SimplesTableau.html" title="class in &lt;Unnamed&gt;"><span class="typeNameLink">SimplesTableau</span></a> - Class in <a href="package-summary.html">&lt;Unnamed&gt;</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="SimplesTableau.html#SimplesTableau--">SimplesTableau()</a></span> - Constructor for class <a href="SimplesTableau.html" title="class in &lt;Unnamed&gt;">SimplesTableau</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="SimplesTableau.html#supprimerUneValeur-int:A-int-int-">supprimerUneValeur(int[], int, int)</a></span> - Method in class <a href="SimplesTableau.html" title="class in &lt;Unnamed&gt;">SimplesTableau</a></dt>
<dd>
<div class="block">Supprime du tableau la première case rencontrée dont le contenu est égale à "valeur".</div>
</dd>
</dl>
<a name="I:T">
<!--   -->
</a>
<h2 class="title">T</h2>
<dl>
<dt><span class="memberNameLink"><a href="SimplesTableau.html#testAfficherTab--">testAfficherTab()</a></span> - Method in class <a href="SimplesTableau.html" title="class in &lt;Unnamed&gt;">SimplesTableau</a></dt>
<dd>
<div class="block">test de la méthode afficherTab</div>
</dd>
<dt><span class="memberNameLink"><a href="SimplesTableau.html#testCasCopier-int:A-int-int:A-">testCasCopier(int[], int, int[])</a></span> - Method in class <a href="SimplesTableau.html" title="class in &lt;Unnamed&gt;">SimplesTableau</a></dt>
<dd>
<div class="block">teste un appel de copier</div>
</dd>
<dt><span class="memberNameLink"><a href="SimplesTableau.html#testCasDecalerGche-int:A-int-int-int:A-">testCasDecalerGche(int[], int, int, int[])</a></span> - Method in class <a href="SimplesTableau.html" title="class in &lt;Unnamed&gt;">SimplesTableau</a></dt>
<dd>
<div class="block">teste un appel de decalerGche</div>
</dd>
<dt><span class="memberNameLink"><a href="SimplesTableau.html#testCasEchange-int:A-int-int-int-int:A-">testCasEchange(int[], int, int, int, int[])</a></span> - Method in class <a href="SimplesTableau.html" title="class in &lt;Unnamed&gt;">SimplesTableau</a></dt>
<dd>
<div class="block">teste un appel de echange</div>
</dd>
<dt><span class="memberNameLink"><a href="SimplesTableau.html#testCasEgalite-int:A-int:A-int-int-boolean-">testCasEgalite(int[], int[], int, int, boolean)</a></span> - Method in class <a href="SimplesTableau.html" title="class in &lt;Unnamed&gt;">SimplesTableau</a></dt>
<dd>
<div class="block">teste un appel de egalite</div>
</dd>
<dt><span class="memberNameLink"><a href="SimplesTableau.html#testCasInclusion-int:A-int:A-int-int-boolean-">testCasInclusion(int[], int[], int, int, boolean)</a></span> - Method in class <a href="SimplesTableau.html" title="class in &lt;Unnamed&gt;">SimplesTableau</a></dt>
<dd>
<div class="block">teste un appel de inclusion</div>
</dd>
<dt><span class="memberNameLink"><a href="SimplesTableau.html#testCasInverse-int:A-int-int:A-">testCasInverse(int[], int, int[])</a></span> - Method in class <a href="SimplesTableau.html" title="class in &lt;Unnamed&gt;">SimplesTableau</a></dt>
<dd>
<div class="block">teste un appel de inverse</div>
</dd>
<dt><span class="memberNameLink"><a href="SimplesTableau.html#testCasLeMax-int:A-int-int-">testCasLeMax(int[], int, int)</a></span> - Method in class <a href="SimplesTableau.html" title="class in &lt;Unnamed&gt;">SimplesTableau</a></dt>
<dd>
<div class="block">teste un appel de leMax</div>
</dd>
<dt><span class="memberNameLink"><a href="SimplesTableau.html#testCasSupprimerUneValeur-int:A-int-int-int-">testCasSupprimerUneValeur(int[], int, int, int)</a></span> - Method in class <a href="SimplesTableau.html" title="class in &lt;Unnamed&gt;">SimplesTableau</a></dt>
<dd>
<div class="block">teste un appel de supprimerUneValeur</div>
</dd>
<dt><span class="memberNameLink"><a href="SimplesTableau.html#testCasTirerAleatoire-int-int-">testCasTirerAleatoire(int, int)</a></span> - Method in class <a href="SimplesTableau.html" title="class in &lt;Unnamed&gt;">SimplesTableau</a></dt>
<dd>
<div class="block">teste un appel de tirerAleatoire</div>
</dd>
<dt><span class="memberNameLink"><a href="SimplesTableau.html#testCasVerifTab-int:A-int-boolean-">testCasVerifTab(int[], int, boolean)</a></span> - Method in class <a href="SimplesTableau.html" title="class in &lt;Unnamed&gt;">SimplesTableau</a></dt>
<dd>
<div class="block">teste un appel de verifTab</div>
</dd>
<dt><span class="memberNameLink"><a href="SimplesTableau.html#testCopier--">testCopier()</a></span> - Method in class <a href="SimplesTableau.html" title="class in &lt;Unnamed&gt;">SimplesTableau</a></dt>
<dd>
<div class="block">test de la méthode copier</div>
</dd>
<dt><span class="memberNameLink"><a href="SimplesTableau.html#testDecalerGche--">testDecalerGche()</a></span> - Method in class <a href="SimplesTableau.html" title="class in &lt;Unnamed&gt;">SimplesTableau</a></dt>
<dd>
<div class="block">test de la méthode decalerGche</div>
</dd>
<dt><span class="memberNameLink"><a href="SimplesTableau.html#testEchange--">testEchange()</a></span> - Method in class <a href="SimplesTableau.html" title="class in &lt;Unnamed&gt;">SimplesTableau</a></dt>
<dd>
<div class="block">test de la méthode echange</div>
</dd>
<dt><span class="memberNameLink"><a href="SimplesTableau.html#testEgalite--">testEgalite()</a></span> - Method in class <a href="SimplesTableau.html" title="class in &lt;Unnamed&gt;">SimplesTableau</a></dt>
<dd>
<div class="block">test de la méthode egalite</div>
</dd>
<dt><span class="memberNameLink"><a href="SimplesTableau.html#testInclusion--">testInclusion()</a></span> - Method in class <a href="SimplesTableau.html" title="class in &lt;Unnamed&gt;">SimplesTableau</a></dt>
<dd>
<div class="block">test de la méthode inclusion</div>
</dd>
<dt><span class="memberNameLink"><a href="SimplesTableau.html#testInverse--">testInverse()</a></span> - Method in class <a href="SimplesTableau.html" title="class in &lt;Unnamed&gt;">SimplesTableau</a></dt>
<dd>
<div class="block">test de la méthode inverse</div>
</dd>
<dt><span class="memberNameLink"><a href="SimplesTableau.html#testLeMax--">testLeMax()</a></span> - Method in class <a href="SimplesTableau.html" title="class in &lt;Unnamed&gt;">SimplesTableau</a></dt>
<dd>
<div class="block">test de la méthode leMax</div>
</dd>
<dt><span class="memberNameLink"><a href="SimplesTableau.html#testMelange--">testMelange()</a></span> - Method in class <a href="SimplesTableau.html" title="class in &lt;Unnamed&gt;">SimplesTableau</a></dt>
<dd>
<div class="block">test de la méthode melange
 Etant donné que la méthode nous renvoie un tableau rempli aléatoirement, il est difficilement possible de comparer
 le tableau de base et celui qui est retourné pour vérifier que le résultat est correct.</div>
</dd>
<dt><span class="memberNameLink"><a href="SimplesTableau.html#testRemplirAleatoire--">testRemplirAleatoire()</a></span> - Method in class <a href="SimplesTableau.html" title="class in &lt;Unnamed&gt;">SimplesTableau</a></dt>
<dd>
<div class="block">test de la méthode remplirleatoire</div>
</dd>
<dt><span class="memberNameLink"><a href="SimplesTableau.html#testRemplirToutesDiff--">testRemplirToutesDiff()</a></span> - Method in class <a href="SimplesTableau.html" title="class in &lt;Unnamed&gt;">SimplesTableau</a></dt>
<dd>
<div class="block">test de la méthode remplirToutesDiff</div>
</dd>
<dt><span class="memberNameLink"><a href="SimplesTableau.html#testSupprimerUneValeur--">testSupprimerUneValeur()</a></span> - Method in class <a href="SimplesTableau.html" title="class in &lt;Unnamed&gt;">SimplesTableau</a></dt>
<dd>
<div class="block">test de la méthode supprimeUneValeur</div>
</dd>
<dt><span class="memberNameLink"><a href="SimplesTableau.html#testTirerAleatoire--">testTirerAleatoire()</a></span> - Method in class <a href="SimplesTableau.html" title="class in &lt;Unnamed&gt;">SimplesTableau</a></dt>
<dd>
<div class="block">test de la méthode tirerAleatoire</div>
</dd>
<dt><span class="memberNameLink"><a href="SimplesTableau.html#testVerifTab--">testVerifTab()</a></span> - Method in class <a href="SimplesTableau.html" title="class in &lt;Unnamed&gt;">SimplesTableau</a></dt>
<dd>
<div class="block">test de la méthode verifTab</div>
</dd>
<dt><span class="memberNameLink"><a href="SimplesTableau.html#tirerAleatoire-int-int-">tirerAleatoire(int, int)</a></span> - Method in class <a href="SimplesTableau.html" title="class in &lt;Unnamed&gt;">SimplesTableau</a></dt>
<dd>
<div class="block">Renvoie un entier aléatoire compris entre min et max (min <= valeur <= max).</div>
</dd>
</dl>
<a name="I:V">
<!--   -->
</a>
<h2 class="title">V</h2>
<dl>
<dt><span class="memberNameLink"><a href="SimplesTableau.html#verifTab-int:A-int-">verifTab(int[], int)</a></span> - Method in class <a href="SimplesTableau.html" title="class in &lt;Unnamed&gt;">SimplesTableau</a></dt>
<dd>
<div class="block">Factorisation : appelé chaque fois qu'une vérification doit se faire sur la validité d'un tableau.</div>
</dd>
</dl>
<a href="#I:A">A</a>&nbsp;<a href="#I:C">C</a>&nbsp;<a href="#I:D">D</a>&nbsp;<a href="#I:E">E</a>&nbsp;<a href="#I:I">I</a>&nbsp;<a href="#I:L">L</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:P">P</a>&nbsp;<a href="#I:R">R</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a href="#I:T">T</a>&nbsp;<a href="#I:V">V</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?index-all.html" target="_top">Frames</a></li>
<li><a href="index-all.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
